# $Revision: 1.21 $, $Date: 2012/01/15 20:58:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	File
Summary:	Tie::File - access the lines of a disk file via a Perl array
Summary(pl.UTF-8):	Tie::File - udostępnienie wierszy pliku na dysku jako tablicy perlowej
Name:		perl-Tie-File
Version:	0.98
Release:	1
# same as perl (but i.e. GPL v2+ or Artistic ???)
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	33c6c213ba45452f2aeb0e85c6473ecf
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::File represents a regular text file as a Perl array. Each element
in the array corresponds to a record in the file. The first line of
the file is element 0 of the array; the second line is element 1, and
so on.

%description -l pl.UTF-8
Tie::File reprezentuje zwykły plik tekstowy jako perlową tablicę.
Każdy element tablicy odpowiada rekordowi z pliku. Pierwsza linia pliku
jest elementem 0. w tablicy, druga 1. i tak dalej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-File.spec,v $
Revision 1.21  2012/01/15 20:58:51  zbyniu
- up to 0.98

Revision 1.20  2008/07/27 22:56:39  arekm
- release 2

Revision 1.19  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:51  paladine
- formatting

Revision 1.16  2004/10/24 16:39:26  paladine
- spelling fixes, upercases, etc.

Revision 1.15  2004/05/06 18:21:22  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.13  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.12  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.11  2003/09/18 13:22:14  adamg
- updated to 0.96

Revision 1.10  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:08  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:00  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/25 18:36:20  qboosh
- pl description

Revision 1.1  2002/08/25 16:00:08  radek
- new, STBR
